/*
 * @Author: wrh
 * @Date: 2024-04-29 13:55:26
 * @LastEditors: wrh
 * @LastEditTime: 2024-04-29 15:19:07
 */
import request from '@/utils/request'

// 查询cmc品牌项目支付记录列表
export function listBrandPayment(query) {
  return request({
    url: '/oa/brandPayment/list',
    method: 'get',
    params: query
  })
}

// 查询cmc品牌项目支付记录详细
export function getBrandPayment(brandId) {
  return request({
    url: '/oa/brandPayment/' + brandId,
    method: 'get'
  })
}

// 新增cmc品牌项目支付记录
export function addBrandPayment(data) {
  return request({
    url: '/oa/brandPayment',
    method: 'post',
    data: data
  })
}

// 修改cmc品牌项目支付记录
export function updateBrandPayment(data) {
  return request({
    url: '/oa/brandPayment',
    method: 'put',
    data: data
  })
}

// 删除cmc品牌项目支付记录
export function delBrandPayment(brandId) {
  return request({
    url: '/oa/brandPayment/' + brandId,
    method: 'delete'
  })
}
